For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
Features

List features

GET
https://api.schematichq.com/features
GET
/features
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.features.listFeatures({});
8}
9main();
1{
2 "data": [
3 {
4 "created_at": "2024-01-15T09:30:00Z",
5 "description": "Enables advanced user segmentation for targeted campaigns.",
6 "feature_type": "boolean",
7 "flags": [
8 {
9 "created_at": "2024-01-15T09:30:00Z",
10 "default_value": false,
11 "description": "Flag to enable segmentation feature for beta users.",
12 "flag_type": "boolean",
13 "id": "flag_001122334455",
14 "key": "enable_user_segmentation",
15 "name": "Beta User Segmentation Flag",
16 "rules": [
17 {
18 "condition_groups": [
19 {
20 "conditions": [
21 {
22 "condition_type": "plan",
23 "created_at": "2024-01-15T09:30:00Z",
24 "environment_id": "env_1234567890abcdef",
25 "id": "cond_9876543210fedcba",
26 "operator": "eq",
27 "resource_ids": [
28 "res_9f8b7c6d5e4a3b2c1d0e"
29 ],
30 "resources": [
31 {
32 "id": "plan_premium_001",
33 "name": "Premium Plan",
34 "description": "Premium subscription plan",
35 "image_url": "https://schematichq.com/images/plans/premium.png"
36 }
37 ],
38 "rule_id": "rule_abc123def456",
39 "trait_value": "premium",
40 "updated_at": "2024-04-10T12:00:00Z",
41 "comparison_trait": {
42 "created_at": "2023-12-01T09:00:00Z",
43 "display_name": "Subscription Tier",
44 "entity_type": "company",
45 "hierarchy": [
46 "plan",
47 "tier"
48 ],
49 "id": "trait_subs_tier_001",
50 "trait_type": "string",
51 "updated_at": "2024-01-10T11:00:00Z"
52 },
53 "comparison_trait_id": "trait_subs_tier_001",
54 "condition_group_id": "condgrp_123abc",
55 "event_subtype": "user_signup",
56 "flag_id": "flag_001122334455",
57 "metric_period": "all_time",
58 "metric_period_month_reset": "billing_cycle",
59 "metric_value": 1,
60 "trait": {
61 "created_at": "2023-12-01T09:00:00Z",
62 "display_name": "Subscription Tier",
63 "entity_type": "company",
64 "hierarchy": [
65 "plan",
66 "tier"
67 ],
68 "id": "trait_subs_tier_001",
69 "trait_type": "string",
70 "updated_at": "2024-01-10T11:00:00Z"
71 },
72 "trait_entity_type": "company",
73 "trait_id": "trait_subs_tier_001"
74 }
75 ],
76 "created_at": "2024-01-15T09:30:00Z",
77 "environment_id": "env_1234567890abcdef",
78 "id": "condgrp_123abc",
79 "rule_id": "rule_abc123def456",
80 "updated_at": "2024-04-10T12:00:00Z",
81 "flag_id": "flag_001122334455"
82 }
83 ],
84 "conditions": [
85 {
86 "condition_type": "plan",
87 "created_at": "2024-01-15T09:30:00Z",
88 "environment_id": "env_1234567890abcdef",
89 "id": "cond_9876543210fedcba",
90 "operator": "eq",
91 "resource_ids": [
92 "res_9f8b7c6d5e4a3b2c1d0e"
93 ],
94 "resources": [
95 {
96 "id": "plan_premium_001",
97 "name": "Premium Plan",
98 "description": "Premium subscription plan",
99 "image_url": "https://schematichq.com/images/plans/premium.png"
100 }
101 ],
102 "rule_id": "rule_abc123def456",
103 "trait_value": "premium",
104 "updated_at": "2024-04-10T12:00:00Z",
105 "comparison_trait": {
106 "created_at": "2023-12-01T09:00:00Z",
107 "display_name": "Subscription Tier",
108 "entity_type": "company",
109 "hierarchy": [
110 "plan",
111 "tier"
112 ],
113 "id": "trait_subs_tier_001",
114 "trait_type": "string",
115 "updated_at": "2024-01-10T11:00:00Z"
116 },
117 "comparison_trait_id": "trait_subs_tier_001",
118 "condition_group_id": "condgrp_123abc",
119 "event_subtype": "user_signup",
120 "flag_id": "flag_001122334455",
121 "metric_period": "all_time",
122 "metric_period_month_reset": "billing_cycle",
123 "metric_value": 1,
124 "trait": {
125 "created_at": "2023-12-01T09:00:00Z",
126 "display_name": "Subscription Tier",
127 "entity_type": "company",
128 "hierarchy": [
129 "plan",
130 "tier"
131 ],
132 "id": "trait_subs_tier_001",
133 "trait_type": "string",
134 "updated_at": "2024-01-10T11:00:00Z"
135 },
136 "trait_entity_type": "company",
137 "trait_id": "trait_subs_tier_001"
138 }
139 ],
140 "created_at": "2024-01-15T09:30:00Z",
141 "environment_id": "env_1234567890abcdef",
142 "id": "rule_abc123def456",
143 "name": "Premium Plan Access Rule",
144 "priority": 10,
145 "rule_type": "company_override",
146 "updated_at": "2024-04-10T12:00:00Z",
147 "value": true,
148 "flag_id": "flag_001122334455"
149 }
150 ],
151 "updated_at": "2024-04-10T12:00:00Z",
152 "feature": {
153 "created_at": "2024-01-15T09:30:00Z",
154 "description": "Enables advanced user segmentation for targeted campaigns.",
155 "feature_type": "boolean",
156 "icon": "segment-icon",
157 "id": "feat_abc123def456",
158 "name": "User Segmentation",
159 "updated_at": "2024-04-10T12:00:00Z",
160 "event_subtype": "user_signup",
161 "lifecycle_phase": "beta",
162 "maintainer_account_member_id": "user_789xyz456",
163 "plural_name": "User Segmentations",
164 "singular_name": "User Segmentation",
165 "trait_id": "trait_123abc456def"
166 },
167 "feature_id": "feat_abc123def456",
168 "last_checked_at": "2024-04-20T16:00:00Z",
169 "maintainer": {
170 "created_at": "2023-11-01T08:15:00Z",
171 "id": "user_789xyz456",
172 "permissions": {
173 "features_edit": [
174 "edit",
175 "view"
176 ],
177 "flag_rules_edit": [
178 "edit"
179 ]
180 },
181 "updated_at": "2024-04-15T10:30:00Z",
182 "email": "jane.doe@schematichq.com",
183 "first_name": "Jane",
184 "image_url": "https://schematichq.com/images/users/jane_doe.png",
185 "last_name": "Doe",
186 "name": "Jane Doe",
187 "role": "admin"
188 },
189 "maintainer_account_member_id": "user_789xyz456"
190 }
191 ],
192 "icon": "segment-icon",
193 "id": "feat_abc123def456",
194 "name": "User Segmentation",
195 "plans": [
196 {
197 "id": "plan_premium_001",
198 "name": "Premium Plan",
199 "description": "Premium subscription plan with advanced features",
200 "image_url": "https://schematichq.com/images/plans/premium.png"
201 }
202 ],
203 "updated_at": "2024-04-10T12:00:00Z",
204 "billing_linked_resource": {
205 "billing_provider": "orb",
206 "external_resource_id": "res_9f8b7c6d5e4a3b2c1d0e",
207 "originator": "orb"
208 },
209 "event_subtype": "user_signup",
210 "event_summary": {
211 "company_count": 42,
212 "environment_id": "env_1234567890abcdef",
213 "event_count": 10500,
214 "event_subtype": "user_signup",
215 "user_count": 9800,
216 "last_seen_at": "2024-04-20T16:45:00Z"
217 },
218 "lifecycle_phase": "beta",
219 "maintainer": {
220 "created_at": "2023-11-01T08:15:00Z",
221 "id": "user_789xyz456",
222 "permissions": {
223 "features_edit": [
224 "edit",
225 "view"
226 ],
227 "flag_rules_edit": [
228 "edit"
229 ]
230 },
231 "updated_at": "2024-04-15T10:30:00Z",
232 "email": "jane.doe@schematichq.com",
233 "first_name": "Jane",
234 "image_url": "https://schematichq.com/images/users/jane_doe.png",
235 "last_name": "Doe",
236 "name": "Jane Doe",
237 "role": "admin"
238 },
239 "maintainer_account_member_id": "user_789xyz456",
240 "plural_name": "User Segmentations",
241 "singular_name": "User Segmentation",
242 "trait": {
243 "created_at": "2023-12-01T09:00:00Z",
244 "display_name": "Subscription Tier",
245 "entity_type": "company",
246 "hierarchy": [
247 "plan",
248 "tier"
249 ],
250 "id": "trait_subs_tier_001",
251 "trait_type": "string",
252 "updated_at": "2024-01-10T11:00:00Z"
253 },
254 "trait_id": "trait_subs_tier_001"
255 }
256 ],
257 "params": {
258 "boolean_require_event": true,
259 "feature_type": [
260 "boolean"
261 ],
262 "ids": [
263 "feat_abc123def456"
264 ],
265 "limit": 100,
266 "managed_by": "orb",
267 "offset": 0,
268 "plan_version_id": "planver_20240401",
269 "q": "User Segmentation",
270 "without_company_override_for": "comp_789xyz123",
271 "without_plan_entitlement_for": "plan_456def789"
272 }
273}
Was this page helpful?
Previous

Get feature

Next
Built with

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Query parameters

boolean_require_eventbooleanOptional
Only return boolean features if there is an associated event. Automatically includes boolean in the feature types filter.
feature_typelist of enumsOptional

Filter by one or more feature types (boolean, event, trait)

Allowed values:
idslist of stringsOptional
managed_byenumOptional

Filter for features managed by a billing provider, or by Schematic (no billing provider)

Allowed values:
plan_version_idstringOptional

Filter by plan version ID when used with without_plan_entitlement_for; if not provided, the latest published version is used

qstringOptional<=512 characters
Search by feature name or ID
without_company_override_forstringOptional
Filter out features that already have a company override for the specified company ID
without_plan_entitlement_forstringOptional
Filter out features that already have a plan entitlement for the specified plan ID
limitlongOptional

Page limit (default 100)

offsetlongOptional

Page offset (default 0)

Response

OK
datalist of objects
paramsobject
Input parameters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error